Cregis Developer Docs
POST/api/v1/sub_address_withdrawal

Create Sub-address Withdrawal

Initiate an on-chain withdrawal directly from a specified sub-address in the project. from_address must be a sub-address generated within the project.

If payout external verification is enabled for the project, Cregis first sends a Payout External Verification Notification to the external verification URL configured in the project, and then continues or stops processing based on the returned ok or deny response.

Rate limit: 1000 requests/minute

Request

Request Body

required

application/json
  • noncestringrequired

    6-character random string.

  • timestampinteger<int64>required

    Timestamp.

  • signstringrequired

    Signature.

  • pidinteger<int64>required

    Project ID.

  • currencystringrequired

    Currency identifier.

  • from_addressstringrequired

    Sender address. This address must belong to the corresponding WaaS project.

  • to_addressstringrequired

    Recipient address. We recommend validating the recipient address before payout.

  • amountstringrequired

    Payout amount.

  • third_party_idstringrequired

    Caller business ID.

  • callback_urlstring

    Callback URL. When this withdrawal is processed, Cregis sends a callback notification to the corresponding callback_url. For callback details, see Withdrawal Notification.

  • remarkstring

    Remark. Maximum 256 characters.

  • memostring

    On-chain memo/tag information. Supported only by TON and XRP.

Responses

200Success. Returns the Cregis system transaction ID.
application/json
  • codestring

    Return status code. The only success code is code: 00000; all other return codes indicate an exception. See Error Codes.

  • msgstring

    Response message.

  • dataobject

    Response data.

    • cidinteger<int64>

      System serial number.